Index: branches/2.2/phpgwapi/setup/phpmailer.lang-es.php
===================================================================
--- branches/2.2/phpgwapi/setup/phpmailer.lang-es.php	(revision 3665)
+++ branches/2.2/phpgwapi/setup/phpmailer.lang-es.php	(revision 3665)
@@ -0,0 +1,22 @@
+<?php
+/**
+ * PHPMailer language file.  
+ * Portuguese Version
+ * By Paulo Henrique Garcia - paulo@controllerweb.com.br
+ */
+
+$PHPMAILER_LANG = array();
+$PHPMAILER_LANG["provide_address"] = 'Vusted debe colocar por lo menos una dirección e correo.';
+$PHPMAILER_LANG["mailer_not_supported"] = 'Correo no soportado .';
+$PHPMAILER_LANG["execute"] = 'No fue posible ejecutar: ';
+$PHPMAILER_LANG["instantiate"] = 'No fue possible instanciar la función mail.';
+$PHPMAILER_LANG["authenticate"] = 'Erro de SMTP: No fue posible autenticar.';
+$PHPMAILER_LANG["from_failed"] = 'Las direcciones del remitente a seguir fallaron: ';
+$PHPMAILER_LANG["recipients_failed"] = 'Error de SMTP: Las direcciones del remitente a seguir fallaron: ';
+$PHPMAILER_LANG["data_not_accepted"] = 'Error de SMTP: Datos no aceptados.';
+$PHPMAILER_LANG["connect_host"] = 'Error del SMTP: No fue posible conectar con el servidor SMTP.';
+$PHPMAILER_LANG["file_access"] = 'No fue posible accesar el archivo: ';
+$PHPMAILER_LANG["file_open"] = 'Error de Archivo: No fue:  posible abrir archivo';
+$PHPMAILER_LANG["encoding"] = 'Codificación  desconocida: ';
+
+?
Index: branches/2.2/mobile/setup/phpgw_es-es.lang
===================================================================
--- branches/2.2/mobile/setup/phpgw_es-es.lang	(revision 3665)
+++ branches/2.2/mobile/setup/phpgw_es-es.lang	(revision 3665)
@@ -0,0 +1,75 @@
+Add Recipient	mobile	es-es	Agregar Destinatario
+Calendar	mobile	es-es	Agenda
+contact center	mobile	es-es	Direcciones
+continue	mobile	es-es	Continuar
+Do you like to delete this message?	mobile	es-es	Desea excluir este mensaje?
+download attachs	mobile	es-es	Desea bajar anexos en e-mails?
+Download	mobile	es-es	Bajar Archivos (Download)
+Drafts	mobile	es-es	Borrador
+E-mail	mobile	es-es	e-mail
+From	mobile	es-es	De
+Forward	mobile	es-es	reenviar
+Logout	mobile	es-es	Salir
+To	mobile	es-es	Para
+Subject	mobile	es-es	Asunto
+Send	mobile	es-es	Enviar
+Reply	mobile	es-es	Responder
+Reply to All	mobile	es-es	Responder a Todos
+Folder	mobile	es-es	Carpeta
+of	mobile	es-es	de
+Inbox	mobile	es-es	Bandeja de Entrada
+Return	mobile	es-es	Regresar a la lista de E-mails
+Logout	mobile	es-es	Salir
+People	mobile	es-es	Personal
+Calendar	mobile	es-es	Agenda
+Contact Center	mobile	es-es	Contactos
+Create mail	mobile	es-es	Nuevo Correo
+E-mail	mobile	es-es	E-mail
+This message have attachment(s)	mobile	es-es	Este e-mail posee anexo(s)
+This message don't have attachment(s)	mobile	es-es	Este e-mail no posee anexo(s)
+Catalog	mobile	es-es	Catálogo
+Phone	mobile	es-es	Teléfono
+Message sent successfully	mobile	es-es	Mensaje enviado con éxito
+Message not sent	mobile	es-es	Mensaje no enviado
+More Folders...	mobile	es-es	Mas Carpetas...
+error	mobile	es-es	Error: 
+Some addresses in the To field were not recognized. Please make sure that all addresses are properly formed	mobile	es-es	Algunas direcciones en el campo "Para" no fueron reconocidos. Por favor verifique que todas las direcciones estén bien escritas
+Empty folder	mobile	es-es	Carpeta vacía
+Accept	mobile	es-es	Aceptar
+Accepted	mobile	es-es	acepto
+Reject	mobile	es-es	Rechazar
+Rejected	mobile	es-es	rechazado
+Location	mobile	es-es	Local
+Start Date/Time	mobile	es-es	Fecha/Hora Inicio
+End Date/Time	mobile	es-es	Fecha/Hora Fin
+schedule	mobile	es-es	Agendar
+continue scheduling	mobile	es-es	Continuar agendando
+already_addeds:	mobile	es-es	ya agregados:
+Start Date	mobile	es-es	Fecha(Inicio)
+End Date	mobile	es-es	Fecha(Fin)
+Start Time	mobile	es-es	Hora(Inicio)
+End Time	mobile	es-es	Hora(Fin)
+keep add participants	mobile	es-es	Agregar participantes
+your suggested time of <b> %1 - %2 </b> conflicts with the following existing calendar entries:	mobile	es-es	Horário sugerido: <B> %1 - %2 </B> está en conflicto con las siguientes entradas en el calendario:
+scheduling conflict	mobile	es-es	Conflicto de agendamiento
+Sent	mobile	es-es	Enviados
+ignore conflict	mobile	es-es	Ignorar conflicto
+re-edit event	mobile	es-es	Re-Editar evento
+username_mobile	mobile	es-es	Usuario
+password_mobile	mobile	es-es	Contraseña
+the search argument must have at least 4 digits	mobile	es-es	El argumento de búsqueda debe poseer por lo menos 4 dígitos
+choose the participants	mobile	es-es	Seleccione los participantes
+choose the recipients	mobile	es-es	Seleccione los destinatarios
+Added	mobile	es-es	Agregando
+To See Commitment	mobile	es-es	Para ver compromiso
+To accept	mobile	es-es	Aceptar
+To reject	mobile	es-es	Rechazar
+Trash	mobile	es-es	Papelera
+alarm	mobile	es-es	Alarma
+To Delegate	mobile	es-es	Delegar
+No matches found	mobile	es-es	Contacto no localizado
+The message was moved to trash	mobile	es-es	El mensaje fue movido para la papelera.
+What is the maximum number of messages per page?	mobile	es-es	Cual es el número máximo de mensajes por página?
+Option	mobile	es-es	Opción
+Value	mobile	es-es	Valor
+Search	mobile	es-es	Buscar
Index: branches/2.2/filemanager/setup/phpgw_es-es.lang
===================================================================
--- branches/2.2/filemanager/setup/phpgw_es-es.lang	(revision 3019)
+++ branches/2.2/filemanager/setup/phpgw_es-es.lang	(revision 3665)
@@ -9,4 +9,6 @@
 comments cannot contain "%1"	filemanager	es-es	Los comentarios no pueden tener "%1"
 copied %1 to %2	filemanager	es-es	Copiado %1 a %2
+%1 files copied successfuly	filemanager	es-es	%1 archivos fueron copiados con éxito
+File copied successfuly	filemanager	es-es	El archivo fue copiado con éxito
 copy to	filemanager	es-es	Copiar A
 copy to:	filemanager	es-es	Copiar a:
@@ -17,15 +19,42 @@
 could not delete %1	filemanager	es-es	No se pudo borrar %1
 could not move %1 to %2	filemanager	es-es	No se pudo mover %1 a %2
+Select a folder	filemanager	es-es	Selecione una carpeta
 could not move file because no destination directory is given	filemanager	es-es	No se puedo mover el fichero porque no se indicó el directorio de destino
 could not rename %1 to %2	filemanager	es-es	No se pudo renombre %1 a %2
+loading	filemanager	es-es	Cargando
 could not save %1	filemanager	es-es	No se pudo guardar %1
 create file	filemanager	es-es	Crear fichero
 create folder	filemanager	es-es	Crear carpeta
+new	filemanager	es-es	nuevo
+close	filemanager	es-es	Cerrar
 created	filemanager	es-es	Creado
 created %1	filemanager	es-es	Se ha creado %1
 created %1,%2	filemanager	es-es	Se ha creado %1,%2
+You have no permission to access this file	filemanager	es-es	Usted no tiene permiso para accesar este archivo
+One of the files sent was considered infected	filemanager	pt-bt	Uno de los archivos enviados fue considerado infectado por vírus
+Note: Uploaded is limited to %1MB	filemanager	es-es	Nota: El tamaño máximo de envío es limitado a %1MB
+This property will change the visibility of all users that have access to this file, continue?	filemanager	es-es	Esta propriedad cambia la visibilidad de los usuarios que están compartidos, desea continuar?
+Click to change comments	filemanager	es-es	Click para modificar comentarios
+All files created sucessfuly	filemanager	es-es	archivos fueron creados con éxito
 created by	filemanager	es-es	Creado por
 created directory %1	filemanager	es-es	Directorio %1 creado
 date	filemanager	es-es	Fecha
+Error:	filemanager	es-es	Error:
+Are you sure you want to delete	filemanager	es-es	Usted esta seguro que desea borrar
+Please type the text "%1" to delete	filemanager	es-es	Por favor, escriba "%1" para borrar
+created directory %1	filemanager	es-es	Creada carpeta %1
+date	filemanager	es-es	Data
+export	filemanager	es-es	exportar
+This file is being edited right now by:	filemanager	es-es	Este archivo está siendo editado por: 
+portrait	filemanager	es-es	retrato
+Could not mark as restricted	filemanager	es-es	no fue posible marcar como restringido
+%1 marked as restricted	filemanager	es-es	%1 fue marcado como restringido
+%1 unmarked as restricted	filemanager	es-es	%1 fue desmarcado como restringido
+Mark as restricted	filemanager	es-es	Marcar como restringido
+Unmark as restricted	filemanager	es-es	Desmarcar como restringido
+landscape	filemanager	es-es	paisaje
+letter	filemanager	es-es	carta
+Disposition of pdf output	filemanager	es-es	Salida en  pdf
+Type of pdf paper	filemanager	es-es	Tipo de papel para exportar
 default number of upload fields to show	filemanager	es-es	Número predeterminado de campos a mostrar
 delete	filemanager	es-es	Borrar
@@ -42,5 +71,5 @@
 execute	filemanager	es-es	Ejecutar
 failed to create directory	filemanager	es-es	fallo al crear el directorio
-fake base dir did not exist, egroupware created a new one.	filemanager	es-es	El directorio base ficticio no existía, y eGroupWare ha creado una nueva
+fake base dir did not exist, egroupware created a new one.	filemanager	es-es	El directorio base ficticio no existía, y expresso ha creado una nueva
 file	filemanager	es-es	Fichero
 file %1 already exists. please edit it or delete it first.	filemanager	es-es	El fichero %1 ya existe. Por favor, edítelo o bórrelo antes.
@@ -54,5 +83,4 @@
 files	filemanager	es-es	Ficheros
 files in this directory	filemanager	es-es	Ficheros en este directorio
-files is this directory	filemanager	es-es	Ficheros en este directorio
 folder	filemanager	es-es	Carpeta
 folder up	filemanager	es-es	Subir una carpeta
@@ -72,4 +100,15 @@
 move to:	filemanager	es-es	Mover a:
 moved %1 to %2	filemanager	es-es	Se ha movido %1 a %2
+%1 files moved successfuly	filemanager	es-es	%1 archivos movidos con exitos
+File moved successfuly	filemanager	es-es	archivo movido con exitos
+Archive	filemanager	es-es	Archivar
+Unarchive	filemanager	es-es	Desarchivar
+New Folder	filemanager	es-es	Nueva carpeta
+Remove Folder	filemanager	es-es	Borrar carpeta
+Do you really want to remove folder: %1?	filemanager	es-es	Usted realmente desea borrar la carpeta: %1?
+Your operation was successfully executed	filemanager	es-es	Su operación fue ejecutada con éxito
+Wrong password	filemanager	es-es	contraseña errada
+It was not possible to execute it	filemanager	es-es	Por lo menos un error ocurrió en la operacion
+Please, type archive password or leave it empty if it is not encrypted	filemanager	es-es	Por favor escriba una contraeña, o deje en blanco en el caso en que el archivo no esta protegido con contraseña
 no files in this directory.	filemanager	es-es	No hay ficheros en este directorio
 no version history for this file/directory	filemanager	es-es	No hay historial de versión para este fichero o directorio
@@ -79,4 +118,5 @@
 please select a file to delete.	filemanager	es-es	Por favor, seleccione un fichero para borrar
 preferences old	preferences	es-es	Preferencias antiguas
+Please select a file	filemanager	es-es	Por favor seleccione un archivo
 preview %1	filemanager	es-es	Vista previa de %1
 preview of %1	filemanager	es-es	Vista previa de %1
@@ -84,6 +124,8 @@
 reload	filemanager	es-es	recargar
 rename	filemanager	es-es	Renombrar
+Reconstruct	filemanager	es-es	Reconstruir
 renamed %1 to %2	filemanager	es-es	Se ha renombrado %1 a %2
 replaced %1	filemanager	es-es	Reemplazado %1
+created new %1	filemanager	es-es	Creado nuevo archivo %1
 save %1	filemanager	es-es	Guardar %1
 save %1, and go back to file listing	filemanager	es-es	Guardar %1, y volver al listado de ficheros
@@ -114,5 +156,35 @@
 view documents in new window	filemanager	es-es	Ver documentos en una ventana nueva
 view documents on server (if available)	filemanager	es-es	Ver documentos en el servidor (si está disponible)
+New...	filemanager	es-es	Nuevo...
+Tools	filemanager	es-es	Herramientas
+Preferences	filemanager	es-es	Preferencias
+Search	filemanager	es-es	Buscar
+View	filemanger	es-es	Visualizacion
+View as list	filemanager	es-es	Ver como lista
+View as icons	filemanager	es-es	Ver como ícones
+Drag and drop to move	filemanager	es-es	Arrastre y suelte para mover
+Type	filemanager	es-es	Tipo
+Cancel	filemanager	es-es	Cancelar
+Save	filemanager	es-es	Salvar
+My folder	filemanager	es-es	Mi carpeta
+Edit folders	filemanager	es-es	Editar carpetas
+Share folders	filemanager	es-es	Compartir carpetas
+Empty file	filemanager	es-es	archivo vacío
+File from model	filemanager	es-es	archivo de modelo
+Article	filemanager	es-es	Articulo
+Todo	filemanager	es-es	Tarifas
+Slide	filemanager	es-es	presentación
+Cards	filemanager	es-es	Cartas
+Resume	filemanager	es-es	Currículo
+Impossible to edit this file	filemanager	es-es	Imposible editar el archivo seleccionado
+it was not possible to send your file	filemanager	es-es	no fue posible enviar su archivo
+Please, type a strong password (suggestion: at least 8 characters, letters and numbers) or leave it empty to archive only	filemanager	es-es	Por favor, escriba una contraseña segura (sugerencia: minimo 8 caracteres con letras y números) o deje el campo vacio para solamente archivar
+Please, retype your password	filemanager	es-es	Por favor, reescriba su contraseña
+passwords are differents	filemanager	es-es	las contraseñas son diferentes
+Enter with the name of new file/directory	filemanager	es-es	Ingrese el nombre del nuevo archivo/directorio
+File extension forbidden or invalid file	filemanager	es-es	Formato de archivo inválido
+view documents in new window	filemanager	es-es	Visualizar documentos en una nueva ventana
+view documents on server (if available)	filemanager	es-es	Visualizar documentos en el servidor (si estan disponible)
 who	filemanager	es-es	Quién
 you do not have access to %1	filemanager	es-es	No tiene acceso a %1
-your home dir did not exist, egroupware created a new one.	filemanager	es-es	Su directorio inicial no existía, y eGroupWare ha creado uno nuevo.
+your home dir did not exist, egroupware created a new one.	filemanager	es-es	Su directorio inicial no existía, y expresso ha creado uno nuevo.
Index: branches/2.2/doc-expressolivre/suse/expressoInstallSuse10.0-es.sh
===================================================================
--- branches/2.2/doc-expressolivre/suse/expressoInstallSuse10.0-es.sh	(revision 3665)
+++ branches/2.2/doc-expressolivre/suse/expressoInstallSuse10.0-es.sh	(revision 3665)
@@ -0,0 +1,240 @@
+#!/bin/bash
+############################################################
+### Ultima modificacion: 16/08/06
+###
+### recordando que los paquetes abajo
+### indicados son para una maquina
+### si va a utilizar un servidor de e-mails y de ladp, por ejemplo, 
+### de otra máquina, algunos paquetes no eran necesarios.
+### depende de cada implementación.
+### Lea todo este script y ajustelo a sus necesidades.
+############################################################
+
+
+### Instala todos los paquetes y dependencias necesarias al Expresso.
+### Ese proceso es un poco demorado y exige que los repositorios online
+### estén configurados.
+### Descomente esta linea para resolver todas las dependencias de Expresso.
+yast -i apache2 apache2-prefork apache2-mod_php4 apache2-mod_perl openssl openssl-devel php4 php4-devel php4-session php4-gd php4-imap php4-ldap php4-pgsql php4-fastcgi php4-mbstring postgresql postgresql-server openldap2 openldap2-client openldap2-devel openldap2-back-meta openldap2-back-perl db42 cyrus-imapd cyrus-sasl-devel cyrus-sasl cyrus-sasl-saslauthd postfix vim perl-Cyrus-IMAP imap-lib perl-Parse-RecDescent perl-TermReadKey perl-TermReadLine-Gnu perl-MLDBM perl-MLDBM-Sync perl-ldap perl-Apache-AuthNetLDAP perl-libwww-perl perl-HTML-Parser perl-Tie-IxHash perl-HTML-Tagset perl-Convert-ASN1 readline-devel readline zip uzip
+
+echo -e "\n\n\n\n\n\n##########################################################\n"
+echo -e "BIENVENIDO A LA INSTALACION DE EXPRESSO LIVRE\n"
+echo -e "Este script fue echo para correr en sistema Linux Suse 10.0.\n"
+echo -e "Cualquier otro sistema puede exigir modificaciones en este script."
+echo -e "\n##########################################################\n"
+echo -e "Escriba la misma  contraseña de LDAP."
+echo -ne "Esta  contraseña sera utilizada para el usuario expresso-admin.\n"
+echo " contraseña: "
+read LDAP_PWD
+echo -e "\nEscriba su organización, ejemplo: soporte: "
+read ORG
+echo -e "\nEscriba su dominio, ejemplo: netcom.inf.br: "
+read DOMAIN
+echo -e "\nEscriba su  dc para el LDAP, ejemplo: dc=netcom,dc=inf,dc=br: "
+read DC_LDAP
+
+echo "##############################################"
+echo "###  DEFINIENDO LAS VARIABLES ..."
+echo "##############################################"
+
+LDAP_DN="$DC_LDAP"
+NOME=`echo $DOMAIN | awk -F . '{print $1}'`
+LDAP_PWD_MD5=`slappasswd -v -s $LDAP_PWD -h {MD5}`
+LDAP_PWD_MD5=`php ./arqs-conf-suse/regexp.php $LDAP_PWD_MD5`
+HEADER_PWD=`php ./arqs-conf-suse/pass.php $LDAP_PWD`
+
+
+echo "##############################################"
+echo "###  PREPARANDO  POSTGRESQL ..."
+echo "##############################################"
+
+### Prepara la base de datos de Expresso basada en informaciones actuales.
+### No necesita ser ejecutado si requiere hacerlo manualmente la primera vez que entre a expresso.
+#sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/DOMAIN/$DOMAIN/g" -e "s/ORG/$ORG/g" ./arqs-conf-suse/expresso.dump > /tmp/expresso.dump
+
+### Esto borrara cualquier informacion que tenga en postgresql.
+### Comente estas lineas en caso de que tnga  base que no puede ser borrada
+### Caso descomente esas lineas, pode comentar el dropdb abajo.
+#rcpostgresql stop
+#rm -Rf /var/lib/pgsql/data/
+#rcpostgresql start
+
+### Copia los archivos de configuracion de  postgresql  para  Expresso.
+cp /var/lib/pgsql/data/pg_hba.conf /var/lib/data/pgsql/pg_hba.conf.bkpexpresso
+cp ./arqs-conf-suse/var/lib/pgsql/data/pg_hba.conf /var/lib/pgsql/data/
+cp /var/lib/pgsql/data/postgresql.conf /var/lib/data/pgsql/postgresql.conf.bkpexpresso
+cp ./arqs-conf-suse/var/lib/pgsql/data/postgresql.conf /var/lib/pgsql/data/
+
+### Confirma si postgresql está corriendo.
+rcpostgresql stop
+sleep 3
+rcpostgresql start
+
+###Borra la base de datos "expresso" para no dar problema en caso de que ya exista.
+dropdb -U postgres expresso
+
+### Crea la base de datos  "expresso" en formato latin1.
+createdb -U postgres -E latin1 expresso
+
+### Importa las tablas generadas para la base "expresso".
+### Esto puede ser realizada por expresso cuando ingrese por primera vez.
+#psql -U postgres expresso < /tmp/expresso.dump
+#rcpostgresql restart
+#rm /tmp/expresso.dump
+
+
+echo "##############################################"
+echo "###  PREPARANDO  APACHE ..."
+echo "##############################################"
+
+### A linea abajo es solamente para  Debian. No es correspondiente en Suse.
+#apache2-ssl-certificate;
+a2enmod rewrite;
+
+### Se ya existe una instalacion de expresso en apache,  será removida.
+rm -Rf /srv/www/htdocs/expresso/
+
+### Copia los archivos de expresso para o apache. Coloca los permisos correctos.
+cp -R -p ../../../expresso/ /srv/www/htdocs/
+chown -R wwwrun:www /srv/www/htdocs/expresso/
+
+### Intercambia los archivos de configuracion de apache por los de  Expresso.
+cp /etc/apache2/httpd.conf /etc/apache2/httpd.conf.bkpexpresso
+cp ./arqs-conf-suse/etc/apache2/httpd.conf /etc/apache2/
+
+cp /etc/apache2/server-tuning.conf /etc/apache2/server-tuning.conf.bkpexpresso
+cp ./arqs-conf-suse/etc/apache2/server-tuning.conf /etc/apache2/
+
+cp ./arqs-conf-suse/etc/apache2/vhosts.d/expresso.conf /etc/apache2/vhosts.d/
+
+cp /etc/apache2/sysconfig.d/global.conf /etc/apache2/sysconfig.d/global.conf.bkpexpresso
+cp ./arqs-conf-suse/etc/apache2/sysconfig.d/global.conf /etc/apache2/sysconfig.d/
+
+### Cambia el archivo de configuracion de PHP con las exigencias de Expresso.
+cp /etc/php.ini /etc/php.ini.bkpexpresso
+cp ./arqs-conf-suse/etc/php4/apache2/php.ini /etc/
+
+### Borra la carpeta  php_sessions para evitar problemas, caso de que ya  exista. Crea nuevamente con los permisos.
+rm -Rf /php_sessions/
+mkdir /php_sessions/
+chmod -R 777 /php_sessions/
+
+### Reinicia o apache.
+rcapache2 restart
+
+
+echo "##############################################"
+echo "### PREPARANDO OOPENLDAP ..."
+echo "##############################################"
+
+### Genera el archivo de configuracion  de Servidor LDAP personalizado y lo sustituye.
+sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" ./arqs-conf-suse/etc/openldap/slapd.conf > /etc/openldap/slapd.conf
+
+### Copia los schemas usados por Expresso.
+cp ./arqs-conf-suse/etc/openldap/schema/* /etc/openldap/schema/
+rcldap stop
+
+### Genera a base por defecto de LDAP para  expresso.
+sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/NOME/$NOME/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-suse/expresso.ldif > /tmp/expresso.ldif
+
+### Remove todas las entradas viejas de LDAP.
+rm -Rf /var/lib/ldap/*
+rcldap start
+
+### Importa a base LDAP.
+rcldap stop
+slapadd -v -f /etc/openldap/slapd.conf -l /tmp/expresso.ldif
+rcldap start
+#rm /tmp/expresso.ldif
+
+
+echo "##############################################"
+echo "### PREPARANDO O SASL ..."
+echo "##############################################"
+
+### Adapta  SASL para  Expresso.
+sed -e "s/LDAP_DN/$LDAP_DN/g" ./arqs-conf-suse/etc/saslauthd.conf > /etc/saslauthd.conf
+cp ./arqs-conf-suse/etc/default/saslauthd /etc/default/
+
+### Reinicia  SASL.
+rcsaslauthd restart
+
+echo "##############################################"
+echo "### PREPARANDO O CYRUS ..."
+echo "##############################################"
+
+### Copia archivo de configuracion  de IMAP. Cuotas estan deshabilitadas!!!
+cp ./arqs-conf-suse/etc/imapd.conf /etc/
+
+### Copia el ejecutable de cyrus adaptado a usuario expresso-admin. Solamente para login.
+cp -p ./arqs-conf-suse/usr/bin/cyradm_expresso /usr/bin/
+
+### Reinicia los servicios.
+rccyrus restart
+sleep 4
+
+### Genera las carpetas  de IMAP para  el expresso-admin.
+./arqs-conf-suse/cyrus.pl $LDAP_PWD
+
+
+echo "##############################################"
+echo "### PREPARANDO POSTFIX ..."
+echo "##############################################"
+
+### Genera el archivo expresso-dominios basado en el dominio informado.
+sed -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-suse/etc/postfix/expresso-dominios > /etc/postfix/expresso-dominios
+postmap /etc/postfix/expresso-dominios
+
+### Substituye  main.cf original por otro con  as información personalizada.
+sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-suse/etc/postfix/main.cf > /etc/postfix/main.cf
+cp ./arqs-conf-suse/etc/postfix/master.cf /etc/postfix/
+rcpostfix restart
+
+### Adiciona los usuarios "postfix" e "mail" al grupo "postdrop".
+groupadd postdrop
+useradd postfix
+useradd mail
+
+
+echo "##############################################"
+echo "### PREPARANDO LA CARPETA HOME DE EXPRESSO ..."
+echo "##############################################"
+
+# imapsync & mkpasswd
+
+### Crea, copia de los archivos necesarios para el y coloca los permisos adecuados.
+mkdir /home/expressolivre
+cp ./arqs-conf-suse/home/expressolivre/* /home/expressolivre/
+chown -R wwwrun:www /home/expressolivre/
+
+echo "##############################################"
+echo "### PREPARANDO  HEADER_INC_PHP ..."
+echo "##############################################"
+
+##################
+### ATENCION EN  Suse 10.0 + php4 existe un "else" en la linea 89 que da erroe. En Caso de pase por algo parecido,
+### consulte o header.inc.php de lA carpets arqs-conf-suse para comparar la solucion.
+##################
+#sed -e "s/HEADER_PWD/$HEADER_PWD/g" ./arqs-conf-suse/header.inc.php > /srv/www/htdocs/expresso/header.inc.php
+#chown wwwrun:www /srv/www/htdocs/expresso/header.inc.php
+
+### Para garantizar la configuracion  manual do header_inc_php, este sera removido.
+rm -f /srv/www/htdocs/expresso/header.inc.php
+
+insserv apache2 ; insserv postgresql ; insserv saslauthd ; insserv cyrus ; insserv ldap ; insserv -r nscd 
+
+echo "##############################################"
+echo "### TERMINADAS AS ROTINAS DE INSTALACAO DO EXPRESSO!"
+echo "###"
+echo "### Confiirme en las salidas do script si todo ocorrio bien."
+echo "###"
+echo "### Instalador realizada en versión Debian por"
+echo "### Joao Alfredo Knopik Junior "
+echo "### jakjr@celepar.pr.gov.br"
+echo "###"
+echo "### Reeditado, adaptado ao Suse e comentado por"
+echo "### Marcus Augustus Pereira Burghardt"
+echo "### marcus@netcom.inf.br"
+echo "###"
+echo "##############################################"
+
